#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		_enable_debug_packages	0

%define	module	zope.deprecation
Summary:	Deprecation library for Python code
Summary(pl.UTF-8):	Biblioteka odradzająca dla kodu w Pythonie
Name:		python-%{module}
Version:	4.0.2
Release:	6
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.deprecation/zope.deprecation-%{version}.tar.gz
# Source0-md5:	5f8cecce85f2783f9e020f1288e908fd
URL:		http://docs.zope.org/zope.deprecation/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3
BuildRequires:	python3-setuptools
%endif
Requires:	python-zope.testing
Obsoletes:	Zope-Deprecation
Provides:	Zope-Deprecation
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a simple function called deprecated(names, reason) to
mark deprecated modules, classes, functions, methods and properties.

%description -l pl.UTF-8
Biblioteka odradzająca dla kodu w Pythonie.

%package -n python3-%{module}
Summary:	Deprecation library for Python code
Summary(pl.UTF-8):	Biblioteka odradzająca dla kodu w Pythonie
Group:		Libraries/Python
Requires:	python3-zope.testing

%description -n python3-%{module}
This package provides a simple function called deprecated(names, reason) to
mark deprecated modules, classes, functions, methods and properties.

%description -n python3-%{module} -l pl.UTF-8
Biblioteka odradzająca dla kodu w Pythonie.

%prep
%setup -q -n zope.deprecation-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
# py_sitescriptdir needed as there is the rest of zope.* and it contains some platform-specific code
%py_install \
	--install-purelib=%{py_sitescriptdir}

%py_postclean
%endif

%if %{with python3}
# py_sitescriptdir needed as there is the rest of zope.* and it contains some platform-specific code
%py3_install \
	--install-purelib=%{py3_sitescriptdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.txt
%dir %{py_sitescriptdir}/zope/deprecation
%{py_sitescriptdir}/zope/deprecation/*.py[co]
%{py_sitescriptdir}/zope.deprecation-*.egg-info
%{py_sitescriptdir}/zope.deprecation-*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.txt
%{py3_sitescriptdir}/zope/deprecation
%{py3_sitescriptdir}/zope.deprecation-*.egg-info
%{py3_sitescriptdir}/zope.deprecation-*-nspkg.pth
%endif
%changelog
* Tue Mar 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zope.deprecation.git;a=log;h=master

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> 7f72194
- noarch package
- rel 6

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> a7bcf3d
- disable debug packages; rel 5

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 0a5987f
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 251992c
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d4aac01
- python 3.6
- release 2 (by relup.sh)

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 2a5340e
- renamed, python3 support added

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a1c3040
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9313eb3
- automatic change: use py_build/py_install macros

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 1f24873
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 191b9d4
- up to 4.0.2, update url and desc

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> cdc48a7
- enable testing

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 33398c0
- rebuild for python eggs; verbose files; add testing

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> c37bfcd
- rebuild for python eggs; verbose files

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 449afe7
- BR: python-setuptools

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 23ad4a6
- release 4

* Tue Dec 09 2008 wrobell <wrobell@pld-linux.org> 4024cce
- use pypi source
- rel. 3

* Tue Mar 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 26149b4
- py_sitedir is not noarch

* Tue Mar 04 2008 wrobell <wrobell@pld-linux.org> 99929af
- moved to py_sitedir
- rel. 2

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 853d4e5
- pl
- python deps
- noarch

* Thu Sep 13 2007 wrobell <wrobell@pld-linux.org> 727fd8f
- fixed install requirements

